package eu.dnetlib.data.collect;

import java.time.LocalDateTime;
import java.util.Set;
import java.util.stream.Stream;

import eu.dnetlib.dsm.model.ApiParam;

public interface DnetCollector {

	Stream<String> collect(String baseUrl, Set<ApiParam> params);

	Stream<String> collect(String baseUrl, Set<ApiParam> params, LocalDateTime from, LocalDateTime until);

	String protocol();
}
