package eu.dnetlib.common.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "emails")
public class EmailTemplate implements Serializable {

	private static final long serialVersionUID = -8424437958140000626L;

	@Id
	@Column(name = "id")
	private String id;

	@Column(name = "description")
	private String description;

	@Column(name = "subject")
	private String subject;

	@Column(name = "message")
	private String message;

	public String getId() {
		return id;
	}

	public void setId(final String id) {
		this.id = id;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(final String description) {
		this.description = description;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(final String subject) {
		this.subject = subject;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(final String message) {
		this.message = message;
	}

}
