package eu.dnetlib.manager.wf.nodes.store;

import org.springframework.beans.factory.annotation.Autowired;

import eu.dnetlib.data.mdstore.MDStoreService;
import eu.dnetlib.manager.wf.annotations.WfInputParam;
import eu.dnetlib.manager.wf.annotations.WfNode;
import eu.dnetlib.manager.wf.nodes.AbstractJobNode;

@WfNode("deleteMdStore")
public class DeleteMdStoreNode extends AbstractJobNode {

	@WfInputParam
	private String mdId;

	@Autowired
	private MDStoreService mdStoreService;

	@Override
	protected void execute() throws Exception {
		mdStoreService.deleteMdStore(mdId);
	}

}
