package eu.dnetlib.manager.wf.nodes.test;

import eu.dnetlib.manager.wf.annotations.WfInputParam;
import eu.dnetlib.manager.wf.annotations.WfNode;
import eu.dnetlib.manager.wf.annotations.WfOutputParam;
import eu.dnetlib.manager.wf.nodes.AbstractJobNode;

@WfNode("test01")
public class Test01Node extends AbstractJobNode {

	@WfInputParam
	private String message;

	@WfInputParam
	private int times;

	@WfOutputParam
	private String response;

	@Override
	protected void execute() throws Exception {
		System.out.println("************************");
		System.out.println("* Instance: " + toString());
		for (int i = 0; i < times; i++) {
			System.out.println("* " + i + " - " + message);
		}
		System.out.println("************************");
		response = "I printed the message [" + message + "]";
	}

}
