package eu.dnetlib.manager.wf.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;

import eu.dnetlib.manager.wf.model.WorkflowSubscription;
import eu.dnetlib.manager.wf.model.WorkflowSubscriptionPK;

public interface WorkflowSubscriptionRepository extends JpaRepository<WorkflowSubscription, WorkflowSubscriptionPK> {

	List<WorkflowSubscription> findByWfConfigurationId(String wfConfigurationId);

	void deleteByWfConfigurationId(String wfConfigurationId);
}
