package eu.dnetlib.manager.wf.nodes.conf;

import eu.dnetlib.is.resource.SimpleResourceService;
import eu.dnetlib.manager.wf.annotations.WfInputParam;
import eu.dnetlib.manager.wf.annotations.WfNode;
import eu.dnetlib.manager.wf.nodes.AbstractJobNode;

@WfNode("deleteWfConfiguration")
public class DeleteWfConfigurationNode extends AbstractJobNode {

	@WfInputParam
	private String wfConfId;

	private SimpleResourceService simpleResourceService;

	@Override
	protected void execute() throws Exception {
		simpleResourceService.deleteResource(wfConfId);
	}

}
