package eu.dnetlib.manager.wf.nodes.ds;

import org.springframework.beans.factory.annotation.Autowired;

import eu.dnetlib.dsm.DsmService;
import eu.dnetlib.dsm.model.Api;
import eu.dnetlib.dsm.model.Datasource;
import eu.dnetlib.manager.wf.annotations.WfInputParam;
import eu.dnetlib.manager.wf.annotations.WfNode;
import eu.dnetlib.manager.wf.nodes.AbstractJobNode;

@WfNode("updateApiStatus")
public class UpdateApiStatusNode extends AbstractJobNode {

	@WfInputParam
	private Datasource ds;

	@WfInputParam
	private Api api;

	@Autowired
	private DsmService dsmService;

	@Override
	protected void execute() throws Exception {
		dsmService.setManaged(ds, true);
		dsmService.setApiActive(api, true);
	}

}
